/*-
 * %%----------------------------------------------------------------------------------------------
 * Solidify Framework - Solidify Frontend - back-translate.pipe.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2023 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {
  Inject,
  Pipe,
  PipeTransform,
} from "@angular/core";
import {Store} from "@ngxs/store";
import {DefaultSolidifyEnvironment} from "../environments/environment.solidify-defaults";
import {ENVIRONMENT} from "../injection-tokens/environment.injection-token";
import {Label} from "../models/label.model";
import {LabelUtil} from "../utils/label.util";

@Pipe({
  name: "backtranslate",
  pure: false,
})
export class BackTranslatePipe implements PipeTransform {
  constructor(protected readonly _store: Store,
              @Inject(ENVIRONMENT) private readonly _environment: DefaultSolidifyEnvironment) {
  }

  transform(listLabels: Label[]): string {
    return LabelUtil.getTranslationFromListLabelsWithStore(this._store, this._environment, listLabels);
  }
}
